
ctools - Bug #2839

Problems for ctskymap with RING bkg method and roiradius=0

02/15/2019 12:59 PM - Specovius Andreas

Status: Closed Start date: 02/15/2019

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.6.0   

Description

I suppose in order to get an uncorelated skymap in RING bkg method the roiradius user parameter can be chosen to be  of the

specified pixel extension.

Anyway for much smaller values (e.g. zero but starting for values ~<1e-9) artefacts are produced in the maps. These are certainly

due to numerics present in the pixel selection process. Hence a small fix in compute_ring_values() solves that for me:

// ... otherwise check if pixel is inside source region

else if ((position.cos_dist(skydir) >= m_cos_roiradius) || (ipixel==i)) {

 

instead of

// ... otherwise check if pixel is inside source region

else if (position.cos_dist(skydir) >= m_cos_roiradius) {

History

#1 - 03/06/2019 03:35 PM - Knödlseder Jürgen

- Status changed from New to Pull request

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.6.0

- % Done changed from 0 to 100

I implemented the change.

#2 - 03/06/2019 03:58 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

Merged into devel.
